package cn.yw.nhyw.ksh_kkxx.dao;
import cn.base.dao.BaseSqlMapDAO;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import org.springframework.stereotype.Repository;

@Repository("kSH_KKXXDao")
public class KSH_KKXXDao  extends BaseSqlMapDAO{

	/**
	 * 增加记录
	 */
	public void insert_Ksh_kkxx(Map map) throws SQLException{
		this.insert("insert_Ksh_kkxx",map);
	}

	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ksh_kkxx(List batch) throws SQLException{
		this.insert("batch_insert_Ksh_kkxx",batch);
	}
	*/

	/**
	 * 修改记录
	 */
	public Integer update_Ksh_kkxx(Map map) throws SQLException{
		return this.update("update_Ksh_kkxx",map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJtbzJdWdByXh(Map map) throws SQLException{
		return this.update("updateJtbzJdWdByXh",map);
	}

	/**
	 * 删除记录
	 */
	public Integer delete_Ksh_kkxx(Map map) throws SQLException{
		return this.delete("delete_Ksh_kkxx",map);
	}

	/**
	 * 批处理删除记录
	 */

	/*
	public Integer batch_delete_Ksh_kkxx(Map map) throws SQLException{
		return this.delete("batch_delete_Ksh_kkxx",map);
	}
	*/

	/**
	 * 查询总数
	 */
	public Integer count_Ksh_kkxx(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ksh_kkxx",map);
	}

	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ksh_kkxx(Map map) throws SQLException{
		return this.queryForPage("query_Ksh_kkxx",map);
	}

	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllKsh_kkxx(Map map) throws SQLException{
		return this.queryForList("query_Ksh_kkxx",map);
	}

	/**
	 * 查询列表记录
	 */
	public Map get_Ksh_kkxx(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ksh_kkxx",map);
	}
}
